Page MenuHomePhabricator

Engage with established technical communities
Closed, DeclinedPublic

Description

This is a draft related to the Engineering Community 2014-15 annual goals. Edits, comments, and subtasks/blockers are welcome.

We want to scale up technical contributions to Wikimedia projects.

  • Outreach to groups is a way to spread our mission quicker and wider than with individual outreach.
  • The average quality of first time contributions can be increased by collaborating with experienced technical contributors.
  • Alignment of priorities and roadmaps increases the chances for these projects to help Wikimedia just by helping themselves.

We also want to share Wikimedia's success with travel companions in the free knowledge movement that are important for our software stack, the diversity of our communities, and the long term game.

  • Small and very specialized projects have a hard time promoting their work, recruiting contributors, and fundraising.
  • Frequently, these problems are more accute for organizations contributing to the diversity of gender, class, ethnicity, geography...
  • Wikimedia needs to collaborate in technical forums and organizations where long term strategies are being defined.

This task here can be Closed Resolved when we have ongoing collaboration at different levels with five relevant technical organizations, conversations started with five more, and a documented process to propose new organizations and activities. More details in the blocking tasks (to be created):

  • Prioritized list of technical organizations relevant to Wikimedia. Implies the coordination of Wikimedia teams and individual contributors active in other communities. Mapping the Wikimedia software stack to organizations. A process to maintain the list.
  • Wikimedia technical roadmap and backlog for external use.
  • How to apply for Wikimedia grants doc. Implies the question Are the existing Wikimedia grants programs suitable for external organizations?
  • Metrics to measure collaboration and success.
    • Wikimedia contributions upstream and vice versa.
    • Participation of external projects in Wikimedia events, and vice versa.
    • Activities funded, outcomes.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedQgil
ResolvedKeegan
DeclinedNone
DeclinedQgil
DeclinedQgil
DeclinedQgil
DeclinedDrbug
DeclinedTgr
ResolvedQgil
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedQgil
DeclinedQgil
DeclinedQgil
ResolvedQgil
OpenNone
ResolvedTgr
OpenTgr
ResolvedArielGlenn
Resolvedbd808
ResolvedNone
ResolvedDzahn
Resolvedbd808
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJAllemandou
ResolvedOttomata
Resolvedbd808
Resolvedbd808
OpenNone
OpenNone
Resolvedbd808
StalledEvanProdromou
OpenNone

Event Timeline

Qgil created this task.Oct 27 2014, 5:23 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil added a project: Developer-Advocacy.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.

I proposed the members of a meetup in Milan to join the hackathon (encouraged by the meetup organiser): http://www.meetup.com/MilanoPHP/
It should be possible to do the same for meetup groups of cities on the main railways hubs: http://bons-plans.be.voyages-sncf.com/fr/sites/default/files/images/900x600_carte_0.jpg

Qgil added a subscriber: Wittylama.Jul 7 2015, 12:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2015, 7:33 AM
Qgil renamed this task from Goal: Engage with established technical communities to Engage with established technical communities.Sep 28 2016, 8:11 PM
Qgil removed a project: Goal.

This task's four direct subtasks are either resolved or declined.

Commenting on the bullet points in the task description:

  • Prioritized list of technical organizations relevant to Wikimedia. Implies the coordination of Wikimedia teams and individual contributors active in other communities. Mapping the Wikimedia software stack to organizations. A process to maintain the list.

mw:Upstream projects exists. Not "prioritized" (why is prioritization needed and what would prioritization solve?)

  • Wikimedia technical roadmap and backlog for external use.

Technical goals (if that counts as a "roadmap") are listed on mw:Wikimedia Product and mw:Wikimedia Technology. Backlogs (as in Phabricator projects) are (mostly) linked from team pages. (If not, those teams better add those links.) Team pages are linked from various places (see the two links above, or wmf:Staff).

  • How to apply for Wikimedia grants doc. Implies the question Are the existing Wikimedia grants programs suitable for external organizations?

m:Grants lists "To organizations, informal groups". Who to judge whether they are "suitable", based on which criteria? Should someone maintaining Grants provide {absolute,relative} numbers whether external orgs have [successfully] applied for grants in the past?


See Also: T101950: Goal: Establish a framework to engage with data engineers and open data organizations

Qgil lowered the priority of this task from Low to Lowest.Oct 5 2016, 8:28 PM

Thank you for paying attention to this task. I have been wanting to resolve it properly, documenting the substance it has somewhere useful. I will get to it during T131689: Second iteration of the Technical Collaboration strategy if nobody takes it before.

Qgil closed this task as Declined.Sep 12 2017, 9:57 AM

After all this time... I think that even if we would work on this goal, it would benefit from a fresh start. Declining.